Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.handler
Interface IQAuthInfo

All Known Implementing Classes:
  IQAuthHandler

    public interface IQAuthInfo

Information for controlling the authentication options for the server.

Author:
  Iain Shigeoka

Method Summary
`boolean` | `isAnonymousAllowed()` Returns true if anonymous authentication is allowed.
`void` | `setAllowAnonymous(boolean isAnonymous)` Changes the server's support for anonymous authentication.

Method Detail

### isAnonymousAllowed

    boolean isAnonymousAllowed()

  Returns true if anonymous authentication is allowed.

  Returns:
    true if anonymous logins are allowed

### setAllowAnonymous

    void setAllowAnonymous(boolean isAnonymous)
                           throws UnauthorizedException

  Changes the server's support for anonymous authentication.

  Parameters:
    `isAnonymous` - True if anonymous logins should be allowed.
  Throws:
    `UnauthorizedException` - If you don't have permission to adjust this setting

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.